import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading PercentToSewooDarkness_Neg127To127 Converter")

class PercentToSewooDarkness_Neg127To127(Converter):

    def Execute(self, args):
        return int(round(((254) * ((int(args[0]))/ 100.0)) -127))



plugin = PercentToSewooDarkness_Neg127To127("PercentToSewooDarkness_Neg127To127")

store.AddConverter(plugin)